package net.sf.jasperreports.engine.design.events;

import java.beans.PropertyChangeEvent;

public class CollectionElementRemovedEvent extends PropertyChangeEvent {
  private static final long serialVersionUID = 10200L;
  
  private final int removedIndex;
  
  public CollectionElementRemovedEvent(Object source, String propertyName, Object removedValue, int removedIndex) {
    super(source, propertyName, removedValue, null);
    this.removedIndex = removedIndex;
  }
  
  public Object getRemovedValue() {
    return getOldValue();
  }
  
  public int getRemovedIndex() {
    return this.removedIndex;
  }
}
